Package org.apache.groovy.util.concurrent.concurrentlinkedhashmap

# Interface Weigher<V>

@ThreadSafe public interface Weigher<V>
A class that can determine the weight of a value. The total weight threshold is used to determine when an eviction is required.

See Also:
  - http://code.google.com/p/concurrentlinkedhashmap/

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `weightOf(V value)`
  Measures an object's weight to determine how many units of capacity that the value consumes.

- ## Method Details

  - ### weightOf

    int weightOf(V value)
    Measures an object's weight to determine how many units of capacity that the value consumes. A value must consume a minimum of one unit.
    Parameters:
      `value` - the object to weigh
    Returns:
      the object's weight